Appearance
GET
/customer-relationships/subscription-v2/subscriptions/{subscriptionId}Required scope:
subscription:readGets a subscription by its unique identifier.
Parameters ​
Path parameters
subscriptionId integerThe unique identifier of the subscription.
Response ​
The response contains the subscription.
JSON
{
"subscriptionId": 143655,
"customerId": 1024,
"receiverCustomerId": 2048,
"name": "Coffee every month",
"active": true,
"startDate": "2026-01-15",
"endDate": "2026-09-30",
"intervalDays": 30,
"deliveriesSent": 4,
"minimumNumberOfDeliveries": 3,
"previousDeliveryDate": "2026-10-01",
"nextDeliveryDate": "2026-11-01",
"lastChangeDate": "2026-10-25T23:59:59",
"cancellationPending": false,
"shipmentInProgress": false,
"modifiable": true,
"cancellation": {
"cancellationReasonId": 4,
"arrivalMethodId": 2,
"endAfterNextDelivery": true,
"cancelledAt": "2026-10-19"
},
"createdAt": "2024-08-14T12:34:56.412",
"modifiedAt": "2024-08-14T12:34:56.412"
}
| Error code | Description |
|---|---|
subscription-not-found | The subscription does not exist. |